OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpSession.CleanupRequest

    java.lang.Object
      org.opennms.protocols.snmp.SnmpSession.CleanupRequest

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SnmpSession

private class SnmpSession.CleanupRequest
extends java.lang.Object
implements java.lang.Runnable

This class is used to periodically cleanup the outstanding request that have expired. The cleanup interval is nominally once every 5 to 10 seconds. It's used like the garbage collector for the m_requests list. This is used in hopes of minimizing the contention for the request array

Constructor Summary
`private` `SnmpSession.CleanupRequest()`

Method Summary
`void` `run()` Preforms the actual removal of the expired SnmpRequest elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpSession.CleanupRequest

    private SnmpSession.CleanupRequest()

Method Detail

### run

    public void run()

  Preforms the actual removal of the expired SnmpRequest elements.

  Specified by:
    `run` in interface `java.lang.Runnable`
  See Also:
    `SnmpRequest`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.